package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.textbook.service.ITextbookService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 添加新出现的作业本数据到教材管理
 */
@Component("add_exercise_book_node")
public class AddExerciseBookNode extends NodeComponent {
    @Autowired
    private ITextbookService textbookService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            textbookService.dataHandleAddExerciseBookNode(formId);
        }
    }
}
